Bug 151267 - CAN-2005-0469 Multiple Telnet Client issues (CAN-2005-0468)
CAN-2005-0469 Multiple Telnet Client issues (CAN-2005-0468)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
impact=important,embargo=20050328,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 11:03 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 02:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue (2.66 KB, patch)
2005-03-16 12:53 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-03-16 11:03:34 EST
The slc_add_reply() function in telnet.c performs inadequate length
checking.  By sending a carefully crafted telnet LINEMODE suboption
string, a malicious telnet server may cause a telnet client to
overflow a fixed-size data segment or BSS buffer and execute arbitrary
code.
Comment 1 Josh Bressers 2005-03-16 11:04:47 EST
This issue also affects RHEL2.1 and RHEL3.
Comment 2 Josh Bressers 2005-03-16 12:49:19 EST
The env_opt_add() function in telnet.c performs inadequate length
checking.  By sending a carefully crafted telnet NEW-ENVIRON suboption
string, a malicious telnet server may cause a telnet client to
overflow a heap buffer and execute arbitrary code.
Comment 3 Josh Bressers 2005-03-16 12:53:08 EST
Created attachment 112052 [details]
Upstream patch for this issue
Comment 6 Mark J. Cox (Product Security) 2005-03-30 02:46:54 EST
removing embargo
Comment 7 Mark J. Cox (Product Security) 2005-03-30 02:58:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-330.html

Note You need to log in before you can comment on or make changes to this bug.